{
    onStart(pokemon) {
      if (this.suppressingAbility(pokemon))
        return;
      if (pokemon.species.id === "golurkmegacopper")
        this.add("-activate", pokemon, "ability: Copper Core", "[msg]copper");
      if (pokemon.species.id === "golurkmegaexposedcopper")
        this.add("-activate", pokemon, "ability: Copper Core", "[msg]exposed");
      if (pokemon.species.id === "golurkmegaweatheredcopper")
        this.add("-activate", pokemon, "ability: Copper Core", "[msg]weathered");
      if (pokemon.species.id === "golurkmegaoxidizedcopper")
        this.add("-activate", pokemon, "ability: Copper Core", "[msg]oxidized");
    },
    onAllyModifyAtkPriority: 5,
    onAllyModifyAtk(atk, pokemon) {
      if (this.effectState.target.species.id !== "golurkmegaoxidizedcopper")
        return;
      this.debug("Copper Core boost");
      return this.chainModify(1.25);
    },
    onAllyModifySpAPriority: 5,
    onAllyModifySpA(spa, pokemon) {
      if (this.effectState.target.species.id !== "golurkmegacopper")
        return;
      this.debug("Copper Core boost");
      return this.chainModify(1.25);
    },
    onAllyModifyDefPriority: 6,
    onAllyModifyDef(def, pokemon) {
      if (this.effectState.target.species.id !== "golurkmegaweatheredcopper")
        return;
      this.debug("Copper Core boost");
      return this.chainModify(1.25);
    },
    onAllyModifySpDPriority: 6,
    onAllyModifySpD(spd, pokemon) {
      if (this.effectState.target.species.id !== "golurkmegaexposedcopper")
        return;
      this.debug("Copper Core boost");
      return this.chainModify(1.25);
    },
    flags: { failroleplay: 1, noreceiver: 1, noentrain: 1, notrace: 1, failskillswap: 1, breakable: 1 },
    name: "Copper Core",
    rating: 0,
    num: -32119
}